# -*- coding: utf-8 -*-
# Copyright (C) 2006-2008  Vodafone España, S.A.
# Copyright (C) 2008  Warp Networks, S.L.
# Author:  Pablo Martí
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
"""
Wader global variables
"""


from os.path import join, expanduser
TOP_DIR = '/'

# DBus stuff
WADER_SERVICE = 'es.warp.Wader'
WADER_OBJPATH = '/'
WADER_INTFACE = 'es.warp.Wader'

WADER_PROFILES_SERVICE = 'es.warp.Wader.Profiles'
WADER_PROFILES_OBJECT = '/es/warp/Wader/ProfileManager'
WADER_PROFILES_OPATH = '/es/warp/Wader/Profiles'

PRF_INTFACE = WADER_PROFILES_SERVICE
SMS_INTFACE = 'es.warp.Wader.SMS'
CTS_INTFACE = 'es.warp.Wader.Contacts'
PIN_INTFACE = 'es.warp.Wader.PIN'
NET_INTFACE = 'es.warp.Wader.Network'
CRD_INTFACE = 'es.warp.Wader.Card'

WADER_DIALUP_SERVICE = 'es.warp.Wader.Dialup'
WADER_DIALUP_OBJECT = '/es/warp/Wader/DialupManager'
DIL_INTFACE = 'es.warp.Wader.Dialup'

# app name
APP_NAME = 'Wader'
APP_SLUG_NAME = 'wader'
APP_VERSION = '0.2.2'
APP_URL = 'http://public.warp.es/wader'

# credits
APP_AUTHORS = ['Pablo Martí Gamboa <pmarti@warp.es>',
               'Jaime Soriano Pastor <jsoriano@warp.es>',
               'Isaac Clerencia Pérez <iclerencia@warp.es>']

APP_DOCUMENTERS = ['Pablo Martí Gamboa <pmarti@warp.es>',
                   'Jaime Soriano Pastor <jsoriano@warp.es>']

DATA_DIR = join(TOP_DIR, 'usr', 'share', '%s' % APP_SLUG_NAME)

# paths
RESOURCES_DIR = join(DATA_DIR, 'resources')
TEMPLATES_DIR = join(RESOURCES_DIR, 'config')
HELP_DIR = join(RESOURCES_DIR, 'help')
EXTRA_DIR = join(RESOURCES_DIR, 'extra')

NETWORKS_CSV = join(EXTRA_DIR, 'networks.csv')
SMSCLIST_CSV = join(EXTRA_DIR, 'smsc-list.csv')

# TEMPLATES
PROFTEMPLATE = join(TEMPLATES_DIR, 'new_profile.tpl')
WVTEMPLATE = join(TEMPLATES_DIR, 'wvdial.conf.tpl')
CONFTEMPLATE = join(TEMPLATES_DIR, 'wader.cfg.tpl')

USER_HOME = expanduser('~')
WADER_HOME = join(USER_HOME, '.wader')
WADER_CFG = join(WADER_HOME, 'wader.cfg')
WADER_DOC = join(TOP_DIR, 'usr', 'share', 'doc', '%s' % APP_SLUG_NAME, 'guide')

FAKE_GCONF = join(WADER_HOME, 'fake-gconf.dat')

# profiles stuff
MOBILE_PROFILES = join(WADER_HOME, 'profiles')

# plugins stuff
PLUGINS_DIR = join(DATA_DIR, 'plugins')
PLUGINS_HOME = join(WADER_HOME, 'plugins')
USER_PLUGINS = [PLUGINS_HOME,
                join(PLUGINS_HOME, 'devices'),
                join(PLUGINS_HOME, 'os'),
                join(PLUGINS_HOME, 'notifications')]

# databases, they should be merged in the future
CONTACTS_DB = join(WADER_HOME, 'contacts.db')
MESSAGES_DB = join(WADER_HOME, 'messages.db')
NETWORKS_DB = join(WADER_HOME, 'networks.db')
SMSC_DB = join(WADER_HOME, 'smsc.db')
USAGE_DB = join(WADER_HOME, 'usage.db')

# static dns stuff
WADER_DNS_LOCK = join('/tmp', 'wader-conn.lock')

# introspection
SSH_PORT = "2222"
