# -*- coding: utf-8 -*-
# Copyright (C) 2006-2008  Vodafone España, S.A.
# Copyright (C) 2008  Warp Networks, S.L.
# Author:  Pablo Martí
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
"""
Common stuff for all Novatel's cards
"""

from wader.common.hardware.base import CDMACustomizer, WCDMACustomizer

from wader.common.plugin import DBusDevicePlugin

NOVATEL_CONN_DICT = {
    'ANY'    : 'AT$NWRAT=0,2',
    '2GONLY' : 'AT$NWRAT=1,1',
    '3GONLY' : 'AT$NWRAT=2,1',
    '2GPREF' : 'AT$NWRAT=1,2',
    '3GPREF' : 'AT$NWRAT=2,2',
}

NOVATEL_BAND_DICT = {}

class NovatelWCDMACustomizer(WCDMACustomizer):
    async_regexp = None
    conn_dict = NOVATEL_CONN_DICT
    band_dict = NOVATEL_BAND_DICT

class NovatelCDMACustomizer(CDMACustomizer):
    async_regexp = None
    conn_dict = NOVATEL_CONN_DICT
    band_dict = NOVATEL_BAND_DICT

class NovatelWCDMADevicePlugin(DBusDevicePlugin):
    custom = NovatelWCDMACustomizer()

class NovatelCDMADevicePlugin(DBusDevicePlugin):
    custom = NovatelCDMACustomizer()
