# -*- coding: utf-8 -*-
# Copyright (C) 2006-2008  Vodafone España, S.A.
# Copyright (C) 2008  Warp Networks, S.L.
# Author:  Pablo Martí
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
"""SLED OSPlugin"""

import os
import re

from wader.common.consts import APP_SLUG_NAME, TOP_DIR
from wader.common.oses import LinuxPlugin
from wader.utils.utilities import get_file_data


class SUSEDistro(LinuxPlugin):
    os_name = re.compile("SUSE LINUX")
    os_version = None
    manage_secrets = False

    def get_connection_args(self, dialer):
        return []

    def get_disconnection_args(self, dialer):
        return []

    def get_doc_dir(self):
        return os.path.join(TOP_DIR, 'usr', 'share',
                                'doc', 'packages', '%s' % APP_SLUG_NAME)

    #XXX: Almost duplicated code with Fedora plugin
    def get_timezone(self):
        timezone_re = re.compile('TIMEZONE="(?P<tzname>[\w/]+)"')
        sysconf_clock_file = get_file_data('/etc/sysconfig/clock')
        search_dict = timezone_re.search(sysconf_clock_file).groupdict()
        return search_dict['tzname']


class SLEDDistro(SUSEDistro):
    pass

class OpenSUSEDistro(SUSEDistro):
    pass

sled = SLEDDistro()
opensuse = OpenSUSEDistro()
